
import sys

from discord.ext import commands


bot = commands.Bot('?')

print("\nLoading testext")
bot.load_extension('testext')

print("\nConfirming existence of testext as an extension")
print(bot.extensions['testext'])

print("\nImporting testext as a module")
import testext

print("\nConfirming existence of testext from import")
print(testext)

print("\nConfirming existence of testext from sys.modules")
print(sys.modules['testext'])

print("\nConfirming existence of testext.sub.example from sys.modules")
print(sys.modules['testext.sub.example'])

print("\nConfirming existence of testext.sub.example from attribute (this is the bit that should fail)")
print(testext.sub.example)

print("\nIf nothing went wrong so far, then everything is fine.")
